--- makefile.orig	2022-04-13 23:50:45.000000000 +0900
+++ makefile	2022-09-11 13:24:55.000000000 +0900
@@ -140,8 +140,8 @@
 
 
 # Warning do not set both USE_NETCDF3 and USE_NETCDF4 to one
-USE_NETCDF3=1
-USE_NETCDF4=0
+USE_NETCDF3=0
+USE_NETCDF4=1
 USE_REGEX=1
 USE_TIGGE=1
 USE_MYSQL=0
@@ -149,7 +149,7 @@
 USE_SPECTRAL=1
 USE_UDF=0
 USE_OPENMP=1
-USE_PROJ4=0
+USE_PROJ4=1
 USE_WMO_VALIDATION=0
 USE_NAMES=NCEP
 MAKE_FTN_API=1
@@ -157,7 +157,7 @@
 DISABLE_STAT=0
 MAKE_SHARED_LIB=0
 
-USE_G2CLIB=0
+USE_G2CLIB=1
 USE_PNG=1
 USE_JASPER=1
 USE_OPENJPEG=0
@@ -172,7 +172,7 @@
 lib:=${cwd}/lib
 tmp:=${cwd}/tmp
 export TMPDIR=${tmp}
-wLDFLAGS:=-L${lib}
+wLDFLAGS:=-L${lib} ${LDFLAGS}
 a:=$(shell mkdir -p ${lib})
 a:=$(shell mkdir -p ${tmp})
 wCPPFLAGS:=${CPPFLAGS} -I${cwd}/include
@@ -654,7 +654,7 @@
    jsrc=jasper-1.900.1-14ubuntu3.2.debian.tgz
    jlib=${lib}/libjasper.a
    wLDFLAGS+=-ljasper
-   wCPPFLAGS+=-I${jasperdir}/src/libjasper/include
+#   wCPPFLAGS+=-I${jasperdir}/src/libjasper/include
    a:=$(shell echo '$Hdefine USE_JASPER' >> ${CONFIG_H})
 endif
 
@@ -777,7 +777,7 @@
 ifeq ($(USE_PNG),1)
    pngsrc=${cwd}/libpng-1.2.59.tar.gz
    pnglib=${lib}/libpng12.a
-   wLDFLAGS+=-lpng12
+   wLDFLAGS+=-lpng
    a:=$(shell echo '$Hdefine USE_PNG' >> ${CONFIG_H})
 else
    a:=$(shell echo '//$Hdefine USE_PNG' >> ${CONFIG_H})
@@ -826,10 +826,10 @@
 w=wgrib2
 prog=$w/wgrib2
 
-all:	${netcdf4src} ${hdf5src} ${prog} aux_progs/gmerge aux_progs/smallest_grib2 aux_progs/smallest_4
+all:	${prog} aux_progs/gmerge aux_progs/smallest_grib2 aux_progs/smallest_4
 
 
-${prog}:        $w/*.c $w/*.h ${jlib} ${aeclib} ${netcdf3lib} ${pnglib} ${hdf5lib} ${g2clib} ${netcdf4lib} ${iplib} ${spectrallib} ${gctpclib} ${proj4lib} ${ojlib}
+${prog}:        $w/*.c $w/*.h ${g2clib} ${iplib} ${spectrallib} ${gctpclib}
 	cd "$w" && export LDFLAGS="${wLDFLAGS}" && export CPPFLAGS="${wCPPFLAGS}" && ${MAKE}
 
 fast:        $w/*.c $w/*.h ${jlib} ${aeclib} ${netcdf3lib} ${pnglib} ${hdf5lib} ${g2clib} ${netcdf4lib} ${iplib} ${spectrallib} ${gctpclib} ${proj4lib} ${ojlib}
@@ -904,8 +904,10 @@
 ${zlib}:	${zdir}
 	cd ${zdir} && export CFLAGS="${wCPPFLAGS}" && ./configure --prefix=${cwd} --static && ${MAKE} install
 
-${g2clib}:	${jlib} ${pnglib} ${zlib}
-	cd "${g2cdir}" && export CPPFLAGS="${wCPPFLAGS}" && ${MAKE} && cp libgrib2c.a ${lib}
+${g2clib}:
+	touch ${g2clib}
+	cd "${g2cdir}" && CPPFLAGS="${wCPPFLAGS}" ${MAKE} && cp libgrib2c.a ${lib}
+	ranlib ${g2clib}
 
 ${gctpcdir}/source/makefile.gctpc:
 	cp ${gctpcsrc} tmpgctpc.tar.gz
@@ -965,7 +967,7 @@
 	cd "${hdf5dir}" && export CFLAGS="${hdf5CFLAGS}" && export LDFLAGS="${LDFLAGS}" && ./configure --disable-shared --with-zlib=${cwd} --disable-sharedlib-rpath --prefix=${cwd} --with-default-api-version=v110 && ${MAKE} -j 1 all check install
 
 ${iplib}:
-	cd "${ipdir}" && export FFLAGS="${wFFLAGS}" && export FTN_REAL8=${FTN_REAL8}  && ${MAKE} && cp $(notdir ${iplib}) ${iplib}
+	cd "${ipdir}" && FFLAGS="${wFFLAGS}" ${MAKE} && cp $(notdir ${iplib}) ${iplib}
 
 ${spectrallib}:
 	cd "${spectraldir}" && export FFLAGS="${wFFLAGS}" && export FTN_REAL8=${FTN_REAL8} && export FTN_LEGACY=${FTN_LEGACY} && ${MAKE} && cp $(notdir ${spectrallib}) ${spectrallib}
